AutoCAD .NET :: Using Block Reference As Point Symbol?
Jun 6, 2011
I create a set of points in a drawing and create each point as a block reference containing the point, text and probably something else. Also I would like to use different symbols for points and each of the symbols is defined as a block definition, and for each point I create a block reference according to the symbol type. The question is if is there any way to "combine" block definitions/references? I mean, I have common block definition for all points, whis defines somethin common for all of them. Also I have different symbols for each type of points and each symbol is defined separately as a block. But when a final point is created (containing common definitions and type-dependent symbol) I want to have it as a single block.
I have points as reference blocks I want to convert them in to autocad points so than to convert them to Cogo points.how to covert block refernc point to autocad points
The scenario is this, I have a symbol(TitlePage) on my main timeline. Inside the symbol(TitlePage) there is a play button. How can i set a click event on this symbol that access the main timeline(stage) labels?
I have a *.csv file complete with point references, easting, northing and height. I'm trying to find a way that I can import the points so that I can snap to them and also include the point reference beside the inserted point. Currently running CAD LT 2011.
is it possible to create a block so that the base point is the only snap point on the block?
In other words supose I have a block of a simple rectangle with the base point in the center.
If I try to snap to the block, I will be able to snap to all the corners, but not the base point. I know that i can put a point at the base point, but can I turn off the snap to the corners (just for the block) in other words, have an object that is unsnapable to without turning the snap mode off.
In most cases this works well. However I found a case that it not work as well. When I try to change the definition from a new block that I have created in my test DWG, it disappears from the model.
I have blocks with several attribute tags and layers. The problem I am having is somehow when I go to replace the block with a different one the attribute tags stay in the right spot but the symbol acts like it looses its coordinates and comes in a different spot. I cant seem to fix it. When I zoom all it block editor it zooms like I have a symbol way off the mark, but I don't.
I have a block: “Block_A”. I am trying to determine if a block reference of the block exist.
Currently I would iterate every block Reference in the Block Table, and then dig deep into each block ref . . . . .
I was wondering if I could just take “Block_A” and see if it has reference and where the references are. Perhaps this is just wishful thinking but I was hoping for a faster way to obtain the references then to iterate thousands of blocks in each table record.
Drawing contains a block with "BlkName". I want to insert blockreferences of this existing block using .Net. All shows how to insert a new block and then use the BlockID returned by the insert function. In my case I only have the block name and there is no Block id. How to get it or how to create a block reference of an existing block?
I'm inserting blocks into my drawing and the block has a basepoint and a 0,0,0 point. The CAD guy who usually works with me is off today but he has a keyboard method of switching between the 2 points when inserting the block.
Its a fairly straight forward thing on his keyboard, nothing he has set up but standard in autocad.
I've had a try hitting a few keyboard buttons this morning but can't seem to do it.
How can I store reference to AcadPoint for later use? I am inserting hunderds of point to ModelSpace. In each loop I have reference to created point. But how to store this reference for later use in some array, collection...? The Colletion.Add(objPoint) does not work.
Set objPoint = ThisDrawing.ModelSpace.AddPoint(point)
We're using C3D 2013 SP2. The survey company we use uses point styles to show the blocks. Say they shoot a catchbasin. Instead of inserting the block, the point shows up as the block.
I did a field check & needed to insert a missed CB. When I inserted the block, the other points that were CBs disappeared. I had to insert the block, copy it the clipboard, undo the insertion & then paste the block in. It did this on other drawings & other blocks.
my problem is whenever i make a new block a stretch point appears even if its not a dynamic block . also its not a stretch point, because when i click on it, it just move the block , and it always appear on the coordinates 0,0 it cause me a problem when I insert the block , autocad use this point as a base point , and its very far from the real block .
Is there a way to create a block with attributtes that automatically complete x, y, z, lat, long for the insertion point of the block?
I am trying to complete text in paperspace that will automatically fill in the lat long of a point in model space without using a table. I have tried field insertion with reference to a cogo point, but it doesn't give options for position on a cogo point. If I pick a block with attributes, it will let me pick any attributes, and x,y position for the block.
Cogo points show all the information I need to propagate in the properties....but how do I get that to translate into the text using fields or some other method?
Dell Precision T3600 - Windows 7 64-bit NVIDIA Quadro 600 Intel(R) Xenon(R) CPU E5-1607 0 @ 3.00GHz 3.00GHz 8 GB ram - Two 1TB raid
I am learning autolips and i found a problem that i can´t solved.
(vl-load-com)(defun c:pmb ( / ss ent pt )(prompt " selec block : ")(setq ss (ssget '((0 . "INSERT")))) (setq ent (ssname ss 0)), (setq pt (cdr (assoc 10 (entget ent)))) (command "point" pt)) wich this code you select one block and insert one point at insert point´s block.
which this other code yo select all block and insert all point.... but in one block
I am working on a horizontal directional drill with multiple survey points.
The survey points make up (what looks like an upside down dome) and they are all connected with polylines. I need to add straight vertical lines to each point. Of course I can do this manually, but I'm wondering if there's a way to automate it. I've tried Lee's point manager, but it seems the problem is there's no option for xstart, xend, and ystart, yend. I also tried created a block out of a line then importing that on the points with point manager, but I need all of the lines to end at the same position at the top. This doesnt work because as you can see the points aren't all equal from the bottom. I also cannot find a way to trim blocks. I was hoping blocks would have the same xstart and xend, etc. as a line, but they don't.
I need to get a station and offset for a bunch of points and have it show up in the point label. i can't find reference text in the label style so i was wondering if there was a good workaround.
Dell Studio XPS 9100 Intel Core i7 CPU 930 @ 2.8GHz 12GB Ram 64 bit C3D 2012 SP3.0
I have imported a path of GPS points and have them mapped in autocad where I want them, what I now need to do is place a symbol (a circle with an M in the middle of it) over each dot. I have the symbol as a separate layer but know no easy way to add this symbol to each dot so that the dot is in the centre of the circle. I can simply copy and paste the symbol and drag manually to each dot but this will take forever as there is over a thousand dots and accuracy of the dot being centered would not be spot on.
I need to scale the trunk and canopy on importing of a points file. I can scale one parameter through the description keys (So i have been doing the canopy) but would like to do both. My code is Tree 0.5 10. Parameter one being the trunk diameter and parameter two being the canopy size.
Is it possible to select lines (maybe up to 6 lines) around an intersection point with a reference line. There is one intersection point and the lines are around it. And also, both the intersecting lines are in different layers.
How to get the ObjectARX's ArxDbg tool working on autocad 2012. ObjectARX 2010 sample project fails to open in VS2010 express.
When i edit the sketched symbol "Work Stages", i copy the line which the the arrow points at, but with it goes the green insertion point, and i can't delete it.
I know this. I am aware. This is why I avoid changing the reference point as much as possible if I have profile views or anything else dependent on my alignment. I also have no problem with this dialog giving me a useful reminder.
My problem is this: if I want to make my alignment longer, and I grab the grip at the end of it and drag it to a new location, the reference point moves too! Who in their right mind would want the reference point to move when adjusting the end? Personally I wouldn't want C3D to ever move my reference point automatically. I can have some sympathy with moving it if I am grip-editing the start of the alignment, or the tangent on which the reference point resides. But I'm editing at the end of the alignment, on a different tangent. Why would you move my reference point and make me have to go back and reset it to where it was? How dare you throw your warning message at me for moving the reference point back to where it should be when you secretly moved it to a wrong location with no warning whatsoever?
I have a weird problem with exploding block reference with vb.net as follows.
When I use BR.explode(DBObjectCollection), and append the entities in the object collection to model space,
the 3d Polylines inside the block reference do not get appended and I do not get any kind of error. The reason for this eludes me as of yet. (remember, simple polylines and lines and other objects do get appended to model space)
When I use BR.explodetoOwnerSpace(), the block reference explodes as it normally is expected to, but then I have no way to collect the objects from the exploded BR.
I'm working with two different drawings to import Layers for Lot Grading and when I'm importing the Block Reference from the origin file, it's setup as Linescale 0.5, but when I import into my regular basemap, which is setup for Linescale 1, the text size is double what it should be.
I'm trying to write a vb script to extract information from the CAD drawing. While testing, i found that for some drawing blocks, the corresponding AcadBlockReference Rotation returns 1.57, but when i look at the actual drawing, block properties, the rotation is 0.
i need to use something with similar effect to Editor's method SelectCrossingWindow, but i need it to select object in Block Reference. How can i do that?
I have a block reference in a dwg that is a like a form, for example:
Written By: Diogo Author: Diogo
Date: 13-07-2012 State: Check-in
In autocad this is a block, and on the attributes of the block reference I only can edit State and Author, and i would like to get all values. Because i want to fill those values of Written By, Author, Date and State by code. I can reach the attribute collection of the block but i only can see the State and Author.
We have been bringing points directly into a 2012 Civil 3d drawing using the same method for quite a while. We use a numeric descriptor code and the points are filtered correctly. In this particular drawing, one description code was singled out and "locked" in the drawing. The points and symbol show in the drawing slightly muted but when I try to edit the points I am unable to do so. I have tried the "unlock" command with no result. The symbol displayed by the point number is a red circle over a pencil.